@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  obp2-remote-verimob startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and OBP2_REMOTE_VERIMOB_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\obp2-remote-verimob-0.0.8.jar;%APP_HOME%\lib\plug-remote-CLI-0.0.8.jar;%APP_HOME%\lib\plug-CLI-0.0.8.jar;%APP_HOME%\lib\plug-ui-common-0.0.8.jar;%APP_HOME%\lib\plug-runtime-buchikripke-0.0.8.jar;%APP_HOME%\lib\plug-runtime-buchi-0.0.8.jar;%APP_HOME%\lib\LTL-0.0.8.jar;%APP_HOME%\lib\plug-runtime-remote-0.0.8.jar;%APP_HOME%\lib\plug-core-0.0.8.jar;%APP_HOME%\lib\announce4j-master.jar;%APP_HOME%\lib\BuchiAutomata-0.0.8.jar;%APP_HOME%\lib\LPropositionalLogic-0.0.8.jar;%APP_HOME%\lib\args4j-2.33.jar;%APP_HOME%\lib\LTL3BA-0.0.8.jar;%APP_HOME%\lib\plug-utils-0.0.8.jar;%APP_HOME%\lib\antlr4-4.5.3.jar;%APP_HOME%\lib\jackson-databind-2.7.2.jar;%APP_HOME%\lib\commons-lang3-3.8.1.jar;%APP_HOME%\lib\org.eclipse.emf.common-2.11.0-v20150123-0347.jar;%APP_HOME%\lib\org.eclipse.emf.ecore-2.11.0-v20150123-0347.jar;%APP_HOME%\lib\org.eclipse.emf.ecore.xmi-2.11.0-v20150123-0347.jar;%APP_HOME%\lib\jackson-annotations-2.7.0.jar;%APP_HOME%\lib\jackson-core-2.7.2.jar

@rem Execute obp2-remote-verimob
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %OBP2_REMOTE_VERIMOB_OPTS%  -classpath "%CLASSPATH%" plug.cli.PlugRemoteCLI %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable OBP2_REMOTE_VERIMOB_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%OBP2_REMOTE_VERIMOB_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
